> For the complete documentation index, see [llms.txt](https://docs.mindstellar.com/osclass-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mindstellar.com/osclass-docs/v3.9.0/configuring-osclass/configure-cache.md).

# Configure Cache

{% hint style="info" %}
NOTE: before enabling cache make sure you have installed and enabled the cache extension.
{% endhint %}

### **APC / APCu**

You need to edit your config.php file and the following line

```php
   define('OSC_CACHE', 'apc');
```

### **MEMCACHE**

You need to know ip and port of the machine/s where memcached service is installed and then add the following lines to the file config.php

```php
   define('OSC_CACHE', 'memcache');
   $_cache_config[] = array(
       'default_host'      => '127.0.0.1',
       'default_port'      => 11211,
       'default_weight'    => 1
   );
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mindstellar.com/osclass-docs/v3.9.0/configuring-osclass/configure-cache.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
